> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the connection snippets for a given volume to access as a datasource

> Get the connection snippets for a given volume to access as a datasource



## OpenAPI

````yaml /api-specs/6.3/domino-volumes-api.yaml get /volumes/{id}/connection-snippets
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Domino Volumes for NetApp ONTAP Microservice API
  version: '1.0'
servers: []
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /volumes/{id}/connection-snippets:
    get:
      tags:
        - volumes
      summary: Get the connection snippets for a given volume to access as a datasource
      description: Get the connection snippets for a given volume to access as a datasource
      parameters:
        - description: Volume ID
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/remotefs.ConnectionSnippet'
                type: array
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    remotefs.ConnectionSnippet:
      properties:
        language:
          $ref: '#/components/schemas/remotefs.SnippetLanguage'
        snippet:
          type: string
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    remotefs.SnippetLanguage:
      enum:
        - R
        - Python
      type: string
      x-enum-varnames:
        - R
        - Python

````